User Activities
Users
User Activities
Get the activities of a user during a specific time period, up to 180 days.
GET
User Activities
This endpoint queries the studies accessible to a given user, checks for either:
- studies that were created in the given time period, or
- studies that had additional discoveries run in the given time period, or
- studies that were last published in the given time period,
- Team and Market Collection ID that allows the user’s access to the market,
- the Market ID,
- the Market Title,
- the draft/published status of the market,
- the creation and publish date of the market,
- the number of companies in the market by their review and published status, and
- the discovery history of the market including timestamps for each.
Query
string
The UUID of the user whose activities you want to retrieve.
Only one of the
uuid or the email parameter can be provided at a time.string
The email of the user whose activities you want to retrieve.
Only one of the
uuid or the email parameter can be provided at a time.number
The number of days to look back for the activities.
The maximum number of days is 180.
Only one of
Only one of
days or start and end pair can be provided at a time.string
The start date of the period to look for the activities.
The date must be in the
Only one of
YYYY-MM-DD ISO 8601 format.Only one of
days or start and end pair can be provided at a time.string
The end date of the period to look for the activities.If not provided, but
start is provided, the end date will be set to the current date.The date must be in the
Only one of
YYYY-MM-DD ISO 8601 format.Only one of
days or start and end pair can be provided at a time.Response
object
string
The time at which this report was generated.This will be in the ISO 8601 format, i.e.
YYYY-MM-DDTHH:MM:SS.sssZ, in UTC timezone.object
The period for which the activities were captured.This simply mirrors the query parameters provided.
array
The list of markets that the user interacted with during the capture period.
Markets should be unique by their
marketId.Each of them contains the following fields:Market Object
Market Object
This object contains the details of a single market.
number
The ID of the team that the user belongs to, which allowed the user access to this market.
number
The ID of the market collection that the user belongs to, which allowed the user access to this market.This is typically attached to the team above.
number
The ID of the market.
string
The title of the market.
string
The status of the market.This can be either
draft or published:draft: Discoveries had been run, but the market has not been published, and the companies had not been enriched.marketPublishedDatewill benull.published: The market has been published, and the companies had been enriched;marketPublishedDatewill be set.
string
The time at which the market was created.This will be in the ISO 8601 format, i.e.
YYYY-MM-DDTHH:MM:SS.sssZ, in UTC timezone.Typically the market is created just before the first Discovery is run, in order to receive
the companies found in the Discovery. The Discoveries will have a different timestamp of their own.string
The time at which the market was published.This will be in the ISO 8601 format, i.e.
YYYY-MM-DDTHH:MM:SS.sssZ, in UTC timezone.This will be null if the market is still in draft status.object
The number of companies in the market by their review and published status.This is a overview of the companies in the market - this is not affected by
the filters applied to the request.
Domain Counts Object
Domain Counts Object
The
The fields are as follows:
domainCounts object contains a number of fields, each representing
a different status of the companies in the market, mapped to an status object
as follows:Status Object
Status Object
object
The total number of companies included in the market currently.This does NOT include starred companies.
object
The total number of companies excluded from the market currently.
object
The total number of companies yet unreviewed in the market currently.
object
The total number of companies starred in the market currently.This implies that the companies were included.
object
The total number of companies enriched in last market Publish event.
array
The history of the discoveries run in the market.Each of them contains the following fields:
Discovery History Object
Discovery History Object
object
string
The role of the user in the market.Possible values are:
"manufacturer"- physical product manufacturing, e.g. a car manufacturer"distributor"- physical product distribution, e.g. a car dealership"service provider"- contractor or provider of pre-defined services, e.g. a car repair shop"consultant"- consultants or advisers not themselves participating in the market, but offers advice to those who do, e.g. a motor regulatory consultant
array
The seed domains used in the discovery.These domains are guaranteed to be included in the results of the discovery, and do not count
towards the total number of companies found.
object[]
The locations of the user in the market.This is an array of objects, each representing a location of the user in the market.
Location Object
Location Object
A location object representing a location to perform a search in.If the object is empty, it means a global search is to be performed.
string
The country code of the location.This is the ISO 3166-1 alpha-2 country code.
number
The number of companies desired in the discovery.
object
The constraints applied in the discovery.This is an object containing the constraints applied in the discovery.
This is currently an internal object not designed for external consumption. Do not infer any schema from it, as it might change without notice.
boolean
Whether this is a discovery that involves a market search.If the user manually added a company, this will be
false.string
The time at which the discovery was run.This will be in the ISO 8601 format, i.e.
YYYY-MM-DDTHH:MM:SS.sssZ, in UTC timezone.array
The keywords used by the user in the discovery.